MKDIC(1)

NAME
mkdic - Tool for creating a user dictionary

SYNOPSIS
mkdic [{-cs|-cannaserver} canna-server] [-s] [- | -l local-file] remote-dic

DESCRIPTION

mkdic creates user dictionary named remote-dic in the user dictionary directory of the remote host, on which cannaserver(1M) is in operation. Dictionary file name remote-dic is assigned to this file at this time.

If the - and -l option isn't specified, mkdic creates an empty dictionary.

If the - option is specified, the standard input will be used as the dictionary file. If the -l option is specified, local-file will be used as the dictionary file.

If the user dictionary directory does not exist, it will be created.

Dictionary directory file — dics.dir — is rewritten automatically after the registering. The registered dictionary can thus be used by writing the dictionary name into the customize file.

OPTIONS

-cs canna-server (or -cannaserver canna-server)
    Specifies the server machine that contains the dictionary to be created.

-s  Indicates that the dictionary to be created is an adjunct dictionary. If this option is omitted, the dictionary will be created as an independent-word one.

-l local-file
    Registers the input data from local-file.

-   The standard input will be used as the dictionary file.

EXAMPLES

(1) If you want to creat an empty dictionary file:
      % mkdic test

(2) If you want to register the input data from the standard input:
      % mkdic test -

Registers the input data from the standard input, in the user dictionary directory under dictionary name ``test''. The following line is then added to dictionary directory file — dics.dir — :
          user1.t(.mwd) -test-

(3) If the dictionary file is specified:
      % mkdic test -l test1.t

Registers independent-word dictionary file ``test1.t'' in the remote host's user dictionary directory under dictionary name ``test''. The following line is then added to dics.dir:
         user1.t(.mvd) -test-

user1.t is a dictionary file name generated automatically by the system.

SEE ALSO

catdic(1), cannaserver(1M), lsdic(1)